# Welcome to the Elements Homepage

This is the homepage for our academic project, called Elements, where you can find information about our research and the progress we have made so far.

## Overview
 
Elements aims to combine the power of the Entity-Component-System (ECS) with the versatility of Scenegraphs, in the context of Computer Graphics (CG). It also aims to provide the basic tools to anyone that want to be involved with Computer Graphics related topics such as Machine Learning, Geometric Algebra and many many more.

Following an educational approach that can be followed by people with minimal development experience, all related packages are in Python.

## Packages Involved in Elements

* pyECSS: A package for applying ECS to any Scenegraph
* pyGLV : A package applying ECSS to CG oriented examples
* pyEEL : An information hub for various topics where ECSS can be applied

## Contribute to Elements</h2>
If you want to contribute to Elements, kindly check its [WIKI](https://github.com/papagiannakis/Elements/wiki) 
for a list of potential projects and a contribution guide.

## Contact Us

If you have any questions or would like to learn more about our project, please don't hesitate to [contact us](mailto:papagian@ics.forth.gr).


## Citation

If you are using the Elements project, please cite:

```
@misc{projectElements,
  title = {Project Elements: A computational entity-component-system in a scene-graph pythonic framework, for a neural, geometric computer graphics curriculum},
  author = {Papagiannakis, George and Kamarianakis, Manos and Protopsaltis, Antonis and Angelis, Dimitris and Zikas, Paul},
  doi = {10.48550/ARXIV.2302.07691},
  url = {https://arxiv.org/abs/2302.07691},
  publisher = {arXiv},
  year = {2023}
}
```
